# XYMONCGIMSG.CGI

Section: Maintenance Commands (8)
Updated: Version Exp: 13 Dec 2011
Index Return to Main Contents

## NAME

xymoncgimsg.cgi - CGI utility used for proxying Xymon data over HTTP

## SYNOPSIS

xymoncgimsg.cgi

## DESCRIPTION

xymoncgimsg.cgi(8) is the server-side utility receiving Xymon messages sent by the xymon(1) utility over an HTTP transport. The xymon utility normally sends data over a dedicated TCP protocol, but it may use HTTP to go through proxies or through restrictive firewalls. In that case, the webserver must have this CGI utility installed, which takes care of receiving the message via HTTP, and forwards it to a local Xymon server through the normal Xymon transport.

The CGI expects to be invoked from an HTTP "POST" request, with the POST-data being the status-message. xymoncgimsg.cgi simply collects all of the POST data, and send it off as a message to the Xymon daemon running on IP 127.0.0.1. This destination IP currently cannot be changed.

The CGI will return any output provided by the Xymon daemon back to the requestor as the response to the HTTP POST, so this allows for all normal Xymon commands to work.

## SECURITY

xymoncgimsg.cgi will only send data to a Xymon server through the loopback interface, i.e. IP-address 127.0.0.1.

Access to the CGI should be restricted through webserver access controls, since the CGI provides no authentication at all to validate incoming messages.

If possible, consider using the xymonproxy(8) utility instead for native proxying of Xymon data between networks.

## SEE ALSO

xymon(1), xymonproxy(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
SECURITY
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:13:03 GMT, December 13, 2011